complexType "ValuationReport"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 3 attributes, 14 elements
Defined: | globally in fpml-valuation-reporting-5-3.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "4"
| >
Content: | header?, validation*, (parentCorrelationId?, correlationId[0..2], sequenceNumber??)?, onBehalfOf[0..4]?, reportIdentification?, reportContents?, asOfDate?, party*, account*, market?, portfolioValuationItem*, tradeValuationItem*
</...>

Content Model Elements (14):

  account, asOfDate (in valuationReport), correlationId, header (defined in NotificationMessage complexType), market, onBehalfOf (defined in OnBehalfOf.model group), parentCorrelationId, | party (defined in PartiesAndAccounts.model group), portfolioValuationItem (in valuationReport), reportContents (in valuationReport), reportIdentification (in valuationReport), sequenceNumber (defined in Sequence.model group), tradeValuationItem (in valuationReport), validation

All Direct / Indirect Based Elements (1):

  valuationReport

Known Usage Locations

- As direct type of elements (1):
  valuationReport

Annotation
A type defining the content model for a message normally generated in response to a RequestValuationReport request.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) NotificationMessage (extension) ValuationReport

XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="ValuationReport"> <xsd:complexContent> <xsd:extension base="NotificationMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="reportIdentification" type="ReportIdentification"/> <xsd:element minOccurs="0" name="reportContents" type="ReportContents"/> <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"/> <xsd:group ref="PartiesAndAccounts.model"/> <xsd:element minOccurs="0" ref="market"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="portfolioValuationItem" type="PortfolioValuationItem"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="tradeValuationItem" type="TradeValuationItem"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 6/14)
asOfDate

  Type: | IdentifiedDate, simple content

  The date for which this request was generated.
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"/>

market

  Type: | Market, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" ref="market"/>

portfolioValuationItem

  Type: | PortfolioValuationItem, complex content

  An instance of a unique portfolio valuation.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="portfolioValuationItem" type="PortfolioValuationItem"/>

reportContents

  Type: | ReportContents, complex content

  The specific characteristics included in the report.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="reportContents" type="ReportContents"/>

reportIdentification

  Type: | ReportIdentification, complex content

  Identifiers for the report instance and section.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="reportIdentification" type="ReportIdentification"/>

tradeValuationItem

  Type: | TradeValuationItem, complex content

  A collection of data values describing the state of the given trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="tradeValuationItem" type="TradeValuationItem"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.